November update issue

Hi all,

Currently Running an RPI3 with OSMC June update I’m facing an issue to update to the last version.
Hopefully I cloned the SD card prior any attempt

I tried both OSMC GUI and SSH update, and swapped to a brand new SD card during the multiple attempts. Once failed, the SSH is working but not OSMC with an endless screen on multiple server failure.

SSH update:

sudo apt-get update
Get:1 http://security.debian.org stretch/updates InRelease [53.0 kB]
Ign:2 Index of /debian stretch InRelease
Get:3 Index of /debian stretch-updates InRelease [93.6 kB]
Hit:4 Index of /deluge-team/ppa/ubuntu zesty InRelease
Hit:5 Index of /debian stretch Release
Hit:6 Index of /osmc/osmc/apt stretch InRelease
Get:7 http://security.debian.org stretch/updates/main armhf Packages [626 kB]
Get:8 http://security.debian.org stretch/updates/main Translation-en [281 kB]
Fetched 1,054 kB in 3s (336 kB/s)

sudo apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
Calculating upgrade… Done
The following packages were automatically installed and are no longer required:
armv7-libcrossguid-osmc bluez g+±4.9 libapt-inst1.5 libasn1-8-heimdal libasprintf0c2 libbind9-90 libboost-chrono1.62.0 libboost-python1.55.0 libboost-random1.62.0 libboost-system1.55.0 libdbus-1-dev libdirectfb-1.2-9 libdns100
libgif4 libgnutls-deb0-28 libhcrypto4-heimdal libhdb9-heimdal libheimbase1-heimdal libhogweed2 libhx509-5-heimdal libicu52 libisc95 libisccc90 libisccfg90 libjasper1 libjson-c2 libkrb5-26-heimdal liblwres90 libmicrohttpd10
libmysqlclient18 libnettle4 libntdb1 libperl4-corelibs-perl libplist2 libpng12-0 libpsl0 libroken18-heimdal libwebp5 libwebpdemux1 libwebpmux1 libwind0-heimdal libxtables10 pkg-config python-cffi python-characteristic python-dbus-dev
python-ntdb python-ply python-pycparser python-support python-twisted-conch python-twisted-lore python-twisted-mail python-twisted-names python-twisted-news python-twisted-runner python-twisted-words zlib1g-dev
Use ‘sudo apt autoremove’ to remove them.
The following packages have been kept back:
python-libtorrent
The following packages will be upgraded:
base-files base-files-osmc bind9-host curl dbus e2fslibs e2fsprogs libbind9-140 libcomerr2 libcups2 libcurl3 libdbus-1-3 libdbus-1-dev libdns162 libfreetype6 libgnutls-openssl27 libgnutls30 libgssapi-krb5-2 libisc160 libisccc140
libisccfg140 libjpeg62-turbo libk5crypto3 libkrb5-3 libkrb5support0 libldap-2.4-2 libldap-common liblwres141 libmariadbclient18 libnss3 libperl5.24 libpython2.7 libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib libpython3.5
libpython3.5-dev libpython3.5-minimal libpython3.5-stdlib librsvg2-2 librsvg2-common libsmbclient libsndfile1 libsqlite3-0 libss2 libssh-4 libssl1.0.2 libwbclient0 libx11-6 libx11-data libx11-xcb1 libxml2 linux-libc-dev nfs-common
perl perl-base perl-modules-5.24 python-imaging python-pil python-samba python2.7 python2.7-dev python2.7-minimal python3.5 python3.5-dev python3.5-minimal samba samba-common samba-common-bin samba-dsdb-modules samba-libs tzdata
wpasupplicant xdg-utils
74 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 107 MB of archives.
After this operation, 106 kB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 Index of /debian stretch/main armhf base-files armhf 9.9+deb9u13 [67.6 kB]
Get:2 http://security.debian.org stretch/updates/main armhf e2fslibs armhf 1.43.4-2+deb9u2 [197 kB]
Get:4 Index of /debian stretch/main armhf libperl5.24 armhf 5.24.1-3+deb9u7 [2,866 kB]
Get:5 http://security.debian.org stretch/updates/main armhf e2fsprogs armhf 1.43.4-2+deb9u2 [932 kB]
Get:3 Index of /osmc/osmc/apt stretch/main armhf base-files-osmc all 2.9.4 [20.1 kB]
Get:6 http://security.debian.org stretch/updates/main armhf samba-dsdb-modules armhf 2:4.5.16+dfsg-1+deb9u3 [310 kB]
Get:7 http://security.debian.org stretch/updates/main armhf libsqlite3-0 armhf 3.16.2-5+deb9u2 [500 kB]
Get:8 http://security.debian.org stretch/updates/main armhf python2.7-dev armhf 2.7.13-2+deb9u4 [300 kB]
Get:9 http://security.debian.org stretch/updates/main armhf python2.7 armhf 2.7.13-2+deb9u4 [286 kB]
Get:10 http://security.debian.org stretch/updates/main armhf libpython2.7-dev armhf 2.7.13-2+deb9u4 [27.7 MB]
Get:11 Index of /debian stretch/main armhf perl armhf 5.24.1-3+deb9u7 [218 kB]
Get:12 Index of /debian stretch/main armhf perl-base armhf 5.24.1-3+deb9u7 [1,240 kB]
Get:13 Index of /debian stretch/main armhf perl-modules-5.24 all 5.24.1-3+deb9u7 [2,723 kB]
Get:14 Index of /debian stretch/main armhf libgnutls-openssl27 armhf 3.5.8-5+deb9u5 [182 kB]
Get:15 Index of /debian stretch/main armhf libgnutls30 armhf 3.5.8-5+deb9u5 [840 kB]
Get:16 Index of /debian stretch/main armhf libcups2 armhf 2.2.1-8+deb9u6 [277 kB]
Get:17 Index of /debian stretch/main armhf libdbus-1-dev armhf 1.10.32-0+deb9u1 [215 kB]
Get:18 Index of /debian stretch/main armhf dbus armhf 1.10.32-0+deb9u1 [198 kB]
Get:19 Index of /debian stretch/main armhf libdbus-1-3 armhf 1.10.32-0+deb9u1 [177 kB]
Get:20 Index of /debian stretch/main armhf nfs-common armhf 1:1.3.4-2.1+deb9u1 [211 kB]
Get:21 Index of /debian stretch/main armhf xdg-utils all 1.1.1-1+deb9u2 [71.5 kB]
Get:22 http://security.debian.org stretch/updates/main armhf libpython2.7 armhf 2.7.13-2+deb9u4 [940 kB]
Get:23 http://security.debian.org stretch/updates/main armhf libpython2.7-stdlib armhf 2.7.13-2+deb9u4 [1,821 kB]
Get:24 http://security.debian.org stretch/updates/main armhf python2.7-minimal armhf 2.7.13-2+deb9u4 [1,179 kB]
Get:25 http://security.debian.org stretch/updates/main armhf libpython2.7-minimal armhf 2.7.13-2+deb9u4 [390 kB]
Get:26 http://security.debian.org stretch/updates/main armhf python-samba armhf 2:4.5.16+dfsg-1+deb9u3 [1,171 kB]
Get:27 http://security.debian.org stretch/updates/main armhf libkrb5support0 armhf 1.15-1+deb9u2 [58.1 kB]
Get:28 http://security.debian.org stretch/updates/main armhf libk5crypto3 armhf 1.15-1+deb9u2 [117 kB]
Get:29 http://security.debian.org stretch/updates/main armhf libgssapi-krb5-2 armhf 1.15-1+deb9u2 [134 kB]
Get:30 http://security.debian.org stretch/updates/main armhf libkrb5-3 armhf 1.15-1+deb9u2 [267 kB]
Get:31 http://security.debian.org stretch/updates/main armhf libsmbclient armhf 2:4.5.16+dfsg-1+deb9u3 [146 kB]
Get:32 http://security.debian.org stretch/updates/main armhf samba-libs armhf 2:4.5.16+dfsg-1+deb9u3 [4,522 kB]
Get:33 http://security.debian.org stretch/updates/main armhf libwbclient0 armhf 2:4.5.16+dfsg-1+deb9u3 [122 kB]
Get:34 http://security.debian.org stretch/updates/main armhf samba armhf 2:4.5.16+dfsg-1+deb9u3 [883 kB]
Get:35 http://security.debian.org stretch/updates/main armhf samba-common-bin armhf 2:4.5.16+dfsg-1+deb9u3 [563 kB]
Get:36 http://security.debian.org stretch/updates/main armhf samba-common all 2:4.5.16+dfsg-1+deb9u3 [175 kB]
Get:37 http://security.debian.org stretch/updates/main armhf libldap-common all 2.4.44+dfsg-5+deb9u5 [85.8 kB]
Get:38 http://security.debian.org stretch/updates/main armhf libldap-2.4-2 armhf 2.4.44+dfsg-5+deb9u5 [198 kB]
Get:39 http://security.debian.org stretch/updates/main armhf libcomerr2 armhf 1.43.4-2+deb9u2 [63.2 kB]
Get:40 http://security.debian.org stretch/updates/main armhf python3.5-dev armhf 3.5.3-1+deb9u3 [413 kB]
Get:41 http://security.debian.org stretch/updates/main armhf libpython3.5-dev armhf 3.5.3-1+deb9u3 [37.0 MB]
Get:42 http://security.debian.org stretch/updates/main armhf libpython3.5 armhf 3.5.3-1+deb9u3 [1,204 kB]
Get:43 http://security.debian.org stretch/updates/main armhf python3.5 armhf 3.5.3-1+deb9u3 [231 kB]
Get:44 http://security.debian.org stretch/updates/main armhf libpython3.5-stdlib armhf 3.5.3-1+deb9u3 [2,088 kB]
Get:45 http://security.debian.org stretch/updates/main armhf python3.5-minimal armhf 3.5.3-1+deb9u3 [1,441 kB]
Get:46 http://security.debian.org stretch/updates/main armhf libpython3.5-minimal armhf 3.5.3-1+deb9u3 [568 kB]
Get:47 http://security.debian.org stretch/updates/main armhf libss2 armhf 1.43.4-2+deb9u2 [66.8 kB]
Get:48 http://security.debian.org stretch/updates/main armhf tzdata all 2020d-0+deb9u1 [279 kB]
Get:49 http://security.debian.org stretch/updates/main armhf libssl1.0.2 armhf 1.0.2u-1~deb9u2 [927 kB]
Get:50 http://security.debian.org stretch/updates/main armhf libxml2 armhf 2.9.4+dfsg1-2.2+deb9u3 [826 kB]
Get:51 http://security.debian.org stretch/updates/main armhf bind9-host armhf 1:9.10.3.dfsg.P4-12.3+deb9u7 [230 kB]
Get:52 http://security.debian.org stretch/updates/main armhf libisc160 armhf 1:9.10.3.dfsg.P4-12.3+deb9u7 [371 kB]
Get:53 http://security.debian.org stretch/updates/main armhf libdns162 armhf 1:9.10.3.dfsg.P4-12.3+deb9u7 [975 kB]
Get:54 http://security.debian.org stretch/updates/main armhf libisccc140 armhf 1:9.10.3.dfsg.P4-12.3+deb9u7 [197 kB]
Get:55 http://security.debian.org stretch/updates/main armhf libisccfg140 armhf 1:9.10.3.dfsg.P4-12.3+deb9u7 [216 kB]
Get:56 http://security.debian.org stretch/updates/main armhf libbind9-140 armhf 1:9.10.3.dfsg.P4-12.3+deb9u7 [205 kB]
Get:57 http://security.debian.org stretch/updates/main armhf liblwres141 armhf 1:9.10.3.dfsg.P4-12.3+deb9u7 [210 kB]
Get:58 http://security.debian.org stretch/updates/main armhf curl armhf 7.52.1-5+deb9u12 [224 kB]
Get:59 http://security.debian.org stretch/updates/main armhf libcurl3 armhf 7.52.1-5+deb9u12 [264 kB]
Get:60 http://security.debian.org stretch/updates/main armhf libfreetype6 armhf 2.6.3-3.2+deb9u2 [389 kB]
Get:61 http://security.debian.org stretch/updates/main armhf libjpeg62-turbo armhf 1:1.5.1-2+deb9u1 [112 kB]
Get:62 http://security.debian.org stretch/updates/main armhf libmariadbclient18 armhf 10.1.47-0+deb9u1 [730 kB]
Get:63 http://security.debian.org stretch/updates/main armhf libnss3 armhf 2:3.26.2-1.1+deb9u2 [1,096 kB]
Get:64 http://security.debian.org stretch/updates/main armhf librsvg2-common armhf 2.40.21-0+deb9u1 [16.2 kB]
Get:65 http://security.debian.org stretch/updates/main armhf librsvg2-2 armhf 2.40.21-0+deb9u1 [94.1 kB]
Get:66 http://security.debian.org stretch/updates/main armhf libsndfile1 armhf 1.0.27-3+deb9u1 [241 kB]
Get:67 http://security.debian.org stretch/updates/main armhf libssh-4 armhf 0.7.3-2+deb9u3 [149 kB]
Get:68 http://security.debian.org stretch/updates/main armhf libx11-data all 2:1.6.4-3+deb9u3 [291 kB]
Get:69 http://security.debian.org stretch/updates/main armhf libx11-6 armhf 2:1.6.4-3+deb9u3 [690 kB]
Get:70 http://security.debian.org stretch/updates/main armhf libx11-xcb1 armhf 2:1.6.4-3+deb9u3 [183 kB]
Get:71 http://security.debian.org stretch/updates/main armhf linux-libc-dev armhf 4.9.240-2 [1,532 kB]
Get:72 http://security.debian.org stretch/updates/main armhf python-pil armhf 4.0.0-4+deb9u2 [353 kB]
Get:73 http://security.debian.org stretch/updates/main armhf python-imaging all 4.0.0-4+deb9u2 [50.6 kB]
Get:74 http://security.debian.org stretch/updates/main armhf wpasupplicant armhf 2:2.4-1+deb9u7 [850 kB]
Fetched 107 MB in 40s (2,670 kB/s)
Extracting templates from packages: 100%
Preconfiguring packages …
(Reading database … 63832 files and directories currently installed.)
Preparing to unpack …/base-files_9.9+deb9u13_armhf.deb …
Unpacking base-files (9.9+deb9u13) over (9.9+deb9u12) …
Setting up base-files (9.9+deb9u13) …
Installing new version of config file /etc/debian_version …
(Reading database … 63832 files and directories currently installed.)
Preparing to unpack …/e2fslibs_1.43.4-2+deb9u2_armhf.deb …
Unpacking e2fslibs:armhf (1.43.4-2+deb9u2) over (1.43.4-2+deb9u1) …
Setting up e2fslibs:armhf (1.43.4-2+deb9u2) …
(Reading database … 63832 files and directories currently installed.)
Preparing to unpack …/e2fsprogs_1.43.4-2+deb9u2_armhf.deb …
Unpacking e2fsprogs (1.43.4-2+deb9u2) over (1.43.4-2+deb9u1) …
Setting up e2fsprogs (1.43.4-2+deb9u2) …
(Reading database … 63832 files and directories currently installed.)
Preparing to unpack …/libperl5.24_5.24.1-3+deb9u7_armhf.deb …
Unpacking libperl5.24:armhf (5.24.1-3+deb9u7) over (5.24.1-3+deb9u6) …
Preparing to unpack …/perl_5.24.1-3+deb9u7_armhf.deb …
Unpacking perl (5.24.1-3+deb9u7) over (5.24.1-3+deb9u6) …
Preparing to unpack …/perl-base_5.24.1-3+deb9u7_armhf.deb …
Unpacking perl-base (5.24.1-3+deb9u7) over (5.24.1-3+deb9u6) …
Setting up perl-base (5.24.1-3+deb9u7) …
(Reading database … 63832 files and directories currently installed.)
Preparing to unpack …/00-perl-modules-5.24_5.24.1-3+deb9u7_all.deb …
Unpacking perl-modules-5.24 (5.24.1-3+deb9u7) over (5.24.1-3+deb9u6) …
Preparing to unpack …/01-samba-dsdb-modules_2%3a4.5.16+dfsg-1+deb9u3_armhf.deb …
Unpacking samba-dsdb-modules (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/02-libsqlite3-0_3.16.2-5+deb9u2_armhf.deb …
Unpacking libsqlite3-0:armhf (3.16.2-5+deb9u2) over (3.16.2-5+deb9u1) …
Preparing to unpack …/03-python2.7-dev_2.7.13-2+deb9u4_armhf.deb …
Unpacking python2.7-dev (2.7.13-2+deb9u4) over (2.7.13-2+deb9u3) …
Preparing to unpack …/04-python2.7_2.7.13-2+deb9u4_armhf.deb …
Unpacking python2.7 (2.7.13-2+deb9u4) over (2.7.13-2+deb9u3) …
Preparing to unpack …/05-libpython2.7-dev_2.7.13-2+deb9u4_armhf.deb …
Unpacking libpython2.7-dev:armhf (2.7.13-2+deb9u4) over (2.7.13-2+deb9u3) …
Preparing to unpack …/06-libpython2.7_2.7.13-2+deb9u4_armhf.deb …
Unpacking libpython2.7:armhf (2.7.13-2+deb9u4) over (2.7.13-2+deb9u3) …
Preparing to unpack …/07-libpython2.7-stdlib_2.7.13-2+deb9u4_armhf.deb …
Unpacking libpython2.7-stdlib:armhf (2.7.13-2+deb9u4) over (2.7.13-2+deb9u3) …
Preparing to unpack …/08-python2.7-minimal_2.7.13-2+deb9u4_armhf.deb …
Unpacking python2.7-minimal (2.7.13-2+deb9u4) over (2.7.13-2+deb9u3) …
Preparing to unpack …/09-libpython2.7-minimal_2.7.13-2+deb9u4_armhf.deb …
Unpacking libpython2.7-minimal:armhf (2.7.13-2+deb9u4) over (2.7.13-2+deb9u3) …
Preparing to unpack …/10-python-samba_2%3a4.5.16+dfsg-1+deb9u3_armhf.deb …
Unpacking python-samba (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/11-libkrb5support0_1.15-1+deb9u2_armhf.deb …
Unpacking libkrb5support0:armhf (1.15-1+deb9u2) over (1.15-1+deb9u1) …
Preparing to unpack …/12-libk5crypto3_1.15-1+deb9u2_armhf.deb …
Unpacking libk5crypto3:armhf (1.15-1+deb9u2) over (1.15-1+deb9u1) …
Preparing to unpack …/13-libgssapi-krb5-2_1.15-1+deb9u2_armhf.deb …
Unpacking libgssapi-krb5-2:armhf (1.15-1+deb9u2) over (1.15-1+deb9u1) …
Preparing to unpack …/14-libkrb5-3_1.15-1+deb9u2_armhf.deb …
Unpacking libkrb5-3:armhf (1.15-1+deb9u2) over (1.15-1+deb9u1) …
Preparing to unpack …/15-libsmbclient_2%3a4.5.16+dfsg-1+deb9u3_armhf.deb …
Unpacking libsmbclient:armhf (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/16-samba-libs_2%3a4.5.16+dfsg-1+deb9u3_armhf.deb …
Unpacking samba-libs:armhf (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/17-libwbclient0_2%3a4.5.16+dfsg-1+deb9u3_armhf.deb …
Unpacking libwbclient0:armhf (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/18-samba_2%3a4.5.16+dfsg-1+deb9u3_armhf.deb …
Unpacking samba (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/19-samba-common-bin_2%3a4.5.16+dfsg-1+deb9u3_armhf.deb …
Unpacking samba-common-bin (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/20-samba-common_2%3a4.5.16+dfsg-1+deb9u3_all.deb …
Unpacking samba-common (2:4.5.16+dfsg-1+deb9u3) over (2:4.5.16+dfsg-1+deb9u2) …
Preparing to unpack …/21-libgnutls-openssl27_3.5.8-5+deb9u5_armhf.deb …
Unpacking libgnutls-openssl27:armhf (3.5.8-5+deb9u5) over (3.5.8-5+deb9u4) …
Preparing to unpack …/22-libgnutls30_3.5.8-5+deb9u5_armhf.deb …
Unpacking libgnutls30:armhf (3.5.8-5+deb9u5) over (3.5.8-5+deb9u4) …
Preparing to unpack …/23-libldap-common_2.4.44+dfsg-5+deb9u5_all.deb …
Unpacking libldap-common (2.4.44+dfsg-5+deb9u5) over (2.4.44+dfsg-5+deb9u4) …
Preparing to unpack …/24-libldap-2.4-2_2.4.44+dfsg-5+deb9u5_armhf.deb …
Unpacking libldap-2.4-2:armhf (2.4.44+dfsg-5+deb9u5) over (2.4.44+dfsg-5+deb9u4) …
Preparing to unpack …/25-libcomerr2_1.43.4-2+deb9u2_armhf.deb …
Unpacking libcomerr2:armhf (1.43.4-2+deb9u2) over (1.43.4-2+deb9u1) …
Setting up libcomerr2:armhf (1.43.4-2+deb9u2) …
(Reading database … 63833 files and directories currently installed.)
Preparing to unpack …/0-libcups2_2.2.1-8+deb9u6_armhf.deb …
Unpacking libcups2:armhf (2.2.1-8+deb9u6) over (2.2.1-8+deb9u5) …
Preparing to unpack …/1-python3.5-dev_3.5.3-1+deb9u3_armhf.deb …
Unpacking python3.5-dev (3.5.3-1+deb9u3) over (3.5.3-1+deb9u1) …
Preparing to unpack …/2-libpython3.5-dev_3.5.3-1+deb9u3_armhf.deb …
Unpacking libpython3.5-dev:armhf (3.5.3-1+deb9u3) over (3.5.3-1+deb9u1) …
Preparing to unpack …/3-libpython3.5_3.5.3-1+deb9u3_armhf.deb …
Unpacking libpython3.5:armhf (3.5.3-1+deb9u3) over (3.5.3-1+deb9u1) …
Preparing to unpack …/4-python3.5_3.5.3-1+deb9u3_armhf.deb …
Unpacking python3.5 (3.5.3-1+deb9u3) over (3.5.3-1+deb9u1) …
Preparing to unpack …/5-libpython3.5-stdlib_3.5.3-1+deb9u3_armhf.deb …
Unpacking libpython3.5-stdlib:armhf (3.5.3-1+deb9u3) over (3.5.3-1+deb9u1) …
Preparing to unpack …/6-python3.5-minimal_3.5.3-1+deb9u3_armhf.deb …
Unpacking python3.5-minimal (3.5.3-1+deb9u3) over (3.5.3-1+deb9u1) …
Preparing to unpack …/7-libpython3.5-minimal_3.5.3-1+deb9u3_armhf.deb …
Unpacking libpython3.5-minimal:armhf (3.5.3-1+deb9u3) over (3.5.3-1+deb9u1) …
Preparing to unpack …/8-libss2_1.43.4-2+deb9u2_armhf.deb …
Unpacking libss2:armhf (1.43.4-2+deb9u2) over (1.43.4-2+deb9u1) …
Setting up libss2:armhf (1.43.4-2+deb9u2) …
(Reading database … 63833 files and directories currently installed.)
Preparing to unpack …/00-base-files-osmc_2.9.4_all.deb …
Unpacking base-files-osmc (2.9.4) over (2.9.2) …
Preparing to unpack …/01-tzdata_2020d-0+deb9u1_all.deb …
Unpacking tzdata (2020d-0+deb9u1) over (2019c-0+deb9u1) …
Preparing to unpack …/02-libssl1.0.2_1.0.2u-1~deb9u2_armhf.deb …
Unpacking libssl1.0.2:armhf (1.0.2u-1~deb9u2) over (1.0.2u-1~deb9u1) …
Preparing to unpack …/03-libxml2_2.9.4+dfsg1-2.2+deb9u3_armhf.deb …
Unpacking libxml2:armhf (2.9.4+dfsg1-2.2+deb9u3) over (2.9.4+dfsg1-2.2+deb9u2) …
Preparing to unpack …/04-bind9-host_1%3a9.10.3.dfsg.P4-12.3+deb9u7_armhf.deb …
Unpacking bind9-host (1:9.10.3.dfsg.P4-12.3+deb9u7) over (1:9.10.3.dfsg.P4-12.3+deb9u6) …
Preparing to unpack …/05-libisc160_1%3a9.10.3.dfsg.P4-12.3+deb9u7_armhf.deb …
Unpacking libisc160:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) over (1:9.10.3.dfsg.P4-12.3+deb9u6) …
Preparing to unpack …/06-libdns162_1%3a9.10.3.dfsg.P4-12.3+deb9u7_armhf.deb …
Unpacking libdns162:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) over (1:9.10.3.dfsg.P4-12.3+deb9u6) …
Preparing to unpack …/07-libisccc140_1%3a9.10.3.dfsg.P4-12.3+deb9u7_armhf.deb …
Unpacking libisccc140:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) over (1:9.10.3.dfsg.P4-12.3+deb9u6) …
Preparing to unpack …/08-libisccfg140_1%3a9.10.3.dfsg.P4-12.3+deb9u7_armhf.deb …
Unpacking libisccfg140:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) over (1:9.10.3.dfsg.P4-12.3+deb9u6) …
Preparing to unpack …/09-libbind9-140_1%3a9.10.3.dfsg.P4-12.3+deb9u7_armhf.deb …
Unpacking libbind9-140:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) over (1:9.10.3.dfsg.P4-12.3+deb9u6) …
Preparing to unpack …/10-liblwres141_1%3a9.10.3.dfsg.P4-12.3+deb9u7_armhf.deb …
Unpacking liblwres141:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) over (1:9.10.3.dfsg.P4-12.3+deb9u6) …
Preparing to unpack …/11-libdbus-1-dev_1.10.32-0+deb9u1_armhf.deb …
Unpacking libdbus-1-dev:armhf (1.10.32-0+deb9u1) over (1.10.28-0+deb9u1) …
Preparing to unpack …/12-dbus_1.10.32-0+deb9u1_armhf.deb …
Unpacking dbus (1.10.32-0+deb9u1) over (1.10.28-0+deb9u1) …
Preparing to unpack …/13-libdbus-1-3_1.10.32-0+deb9u1_armhf.deb …
Unpacking libdbus-1-3:armhf (1.10.32-0+deb9u1) over (1.10.28-0+deb9u1) …
Preparing to unpack …/14-curl_7.52.1-5+deb9u12_armhf.deb …
Unpacking curl (7.52.1-5+deb9u12) over (7.52.1-5+deb9u10) …
Preparing to unpack …/15-libcurl3_7.52.1-5+deb9u12_armhf.deb …
Unpacking libcurl3:armhf (7.52.1-5+deb9u12) over (7.52.1-5+deb9u10) …
Preparing to unpack …/16-libfreetype6_2.6.3-3.2+deb9u2_armhf.deb …
Unpacking libfreetype6:armhf (2.6.3-3.2+deb9u2) over (2.6.3-3.2+deb9u1) …
Preparing to unpack …/17-libjpeg62-turbo_1%3a1.5.1-2+deb9u1_armhf.deb …
Unpacking libjpeg62-turbo:armhf (1:1.5.1-2+deb9u1) over (1:1.5.1-2) …
Preparing to unpack …/18-libmariadbclient18_10.1.47-0+deb9u1_armhf.deb …
Unpacking libmariadbclient18:armhf (10.1.47-0+deb9u1) over (10.1.44-0+deb9u1) …
Preparing to unpack …/19-libnss3_2%3a3.26.2-1.1+deb9u2_armhf.deb …
Unpacking libnss3:armhf (2:3.26.2-1.1+deb9u2) over (2:3.26.2-1.1+deb9u1) …
Preparing to unpack …/20-librsvg2-common_2.40.21-0+deb9u1_armhf.deb …
Unpacking librsvg2-common:armhf (2.40.21-0+deb9u1) over (2.40.16-1+b1) …
Preparing to unpack …/21-librsvg2-2_2.40.21-0+deb9u1_armhf.deb …
Unpacking librsvg2-2:armhf (2.40.21-0+deb9u1) over (2.40.16-1+b1) …
Preparing to unpack …/22-libsndfile1_1.0.27-3+deb9u1_armhf.deb …
Unpacking libsndfile1:armhf (1.0.27-3+deb9u1) over (1.0.27-3) …
Preparing to unpack …/23-libssh-4_0.7.3-2+deb9u3_armhf.deb …
Unpacking libssh-4:armhf (0.7.3-2+deb9u3) over (0.7.3-2+deb9u2) …
Preparing to unpack …/24-libx11-data_2%3a1.6.4-3+deb9u3_all.deb …
Unpacking libx11-data (2:1.6.4-3+deb9u3) over (2:1.6.4-3+deb9u1) …
Preparing to unpack …/25-libx11-6_2%3a1.6.4-3+deb9u3_armhf.deb …
Unpacking libx11-6:armhf (2:1.6.4-3+deb9u3) over (2:1.6.4-3+deb9u1) …
Preparing to unpack …/26-libx11-xcb1_2%3a1.6.4-3+deb9u3_armhf.deb …
Unpacking libx11-xcb1:armhf (2:1.6.4-3+deb9u3) over (2:1.6.4-3+deb9u1) …
Preparing to unpack …/27-linux-libc-dev_4.9.240-2_armhf.deb …
Unpacking linux-libc-dev:armhf (4.9.240-2) over (4.9.210-1+deb9u1) …
Preparing to unpack …/28-nfs-common_1%3a1.3.4-2.1+deb9u1_armhf.deb …
Unpacking nfs-common (1:1.3.4-2.1+deb9u1) over (1:1.3.4-2.1) …
Preparing to unpack …/29-python-pil_4.0.0-4+deb9u2_armhf.deb …
Unpacking python-pil:armhf (4.0.0-4+deb9u2) over (4.0.0-4+deb9u1) …
Preparing to unpack …/30-python-imaging_4.0.0-4+deb9u2_all.deb …
Unpacking python-imaging (4.0.0-4+deb9u2) over (4.0.0-4+deb9u1) …
Preparing to unpack …/31-wpasupplicant_2%3a2.4-1+deb9u7_armhf.deb …
Unpacking wpasupplicant (2:2.4-1+deb9u7) over (2:2.4-1+deb9u4) …
Preparing to unpack …/32-xdg-utils_1.1.1-1+deb9u2_all.deb …
Unpacking xdg-utils (1.1.1-1+deb9u2) over (1.1.1-1+deb9u1) …
Setting up perl-modules-5.24 (5.24.1-3+deb9u7) …
Setting up libperl5.24:armhf (5.24.1-3+deb9u7) …
Setting up libwbclient0:armhf (2:4.5.16+dfsg-1+deb9u3) …
Setting up libjpeg62-turbo:armhf (1:1.5.1-2+deb9u1) …
Processing triggers for mime-support (3.60) …
Setting up libldap-common (2.4.44+dfsg-5+deb9u5) …
Setting up tzdata (2020d-0+deb9u1) …

Current default time zone: ‘Europe/Brussels’
Local time is now: Sun Nov 29 14:57:03 CET 2020.
Universal Time is now: Sun Nov 29 13:57:03 UTC 2020.
Run ‘dpkg-reconfigure tzdata’ if you wish to change it.

Setting up linux-libc-dev:armhf (4.9.240-2) …
Setting up libgnutls30:armhf (3.5.8-5+deb9u5) …
Setting up samba-common (2:4.5.16+dfsg-1+deb9u3) …
Setting up libmariadbclient18:armhf (10.1.47-0+deb9u1) …
Setting up libkrb5support0:armhf (1.15-1+deb9u2) …
Setting up base-files-osmc (2.9.4) …
Fixing permissions on busybox.
Setting up libxml2:armhf (2.9.4+dfsg1-2.2+deb9u3) …
Setting up libfreetype6:armhf (2.6.3-3.2+deb9u2) …
Setting up perl (5.24.1-3+deb9u7) …
Setting up libsndfile1:armhf (1.0.27-3+deb9u1) …
Setting up libssl1.0.2:armhf (1.0.2u-1~deb9u2) …
Setting up libx11-xcb1:armhf (2:1.6.4-3+deb9u3) …
Processing triggers for libc-bin (2.24-11+deb9u4) …
Setting up libldap-2.4-2:armhf (2.4.44+dfsg-5+deb9u5) …
Setting up libgnutls-openssl27:armhf (3.5.8-5+deb9u5) …
Processing triggers for systemd (232-25+deb9u12) …
Setting up liblwres141:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) …
Setting up libsqlite3-0:armhf (3.16.2-5+deb9u2) …
Setting up libpython2.7-minimal:armhf (2.7.13-2+deb9u4) …
Setting up xdg-utils (1.1.1-1+deb9u2) …
Setting up python-pil:armhf (4.0.0-4+deb9u2) …
Setting up libx11-data (2:1.6.4-3+deb9u3) …
Setting up libpython2.7-stdlib:armhf (2.7.13-2+deb9u4) …
Setting up libdbus-1-3:armhf (1.10.32-0+deb9u1) …
Setting up python2.7-minimal (2.7.13-2+deb9u4) …
Setting up libpython3.5-minimal:armhf (3.5.3-1+deb9u3) …
Setting up libdbus-1-dev:armhf (1.10.32-0+deb9u1) …
Setting up libk5crypto3:armhf (1.15-1+deb9u2) …
Setting up libisc160:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) …
Setting up librsvg2-2:armhf (2.40.21-0+deb9u1) …
Setting up libpython3.5-stdlib:armhf (3.5.3-1+deb9u3) …
Setting up libx11-6:armhf (2:1.6.4-3+deb9u3) …
Setting up wpasupplicant (2:2.4-1+deb9u7) …
Setting up python2.7 (2.7.13-2+deb9u4) …
Setting up libnss3:armhf (2:3.26.2-1.1+deb9u2) …
Setting up librsvg2-common:armhf (2.40.21-0+deb9u1) …
Setting up python3.5-minimal (3.5.3-1+deb9u3) …
Setting up python-imaging (4.0.0-4+deb9u2) …
Setting up libisccc140:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) …
Setting up libpython2.7:armhf (2.7.13-2+deb9u4) …
Setting up libkrb5-3:armhf (1.15-1+deb9u2) …
Setting up libpython2.7-dev:armhf (2.7.13-2+deb9u4) …
Setting up dbus (1.10.32-0+deb9u1) …
A reboot is required to replace the running dbus-daemon.
Please reboot the system when convenient.
Setting up python2.7-dev (2.7.13-2+deb9u4) …
Setting up python3.5 (3.5.3-1+deb9u3) …
Setting up libpython3.5:armhf (3.5.3-1+deb9u3) …
Processing triggers for libgdk-pixbuf2.0-0:armhf (2.36.5-2+deb9u2) …
Setting up libpython3.5-dev:armhf (3.5.3-1+deb9u3) …
Setting up libgssapi-krb5-2:armhf (1.15-1+deb9u2) …
Setting up libssh-4:armhf (0.7.3-2+deb9u3) …
Setting up python3.5-dev (3.5.3-1+deb9u3) …
Setting up libcups2:armhf (2.2.1-8+deb9u6) …
Setting up libdns162:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) …
Setting up samba-libs:armhf (2:4.5.16+dfsg-1+deb9u3) …
Setting up libcurl3:armhf (7.52.1-5+deb9u12) …
Setting up nfs-common (1:1.3.4-2.1+deb9u1) …
Setting up libisccfg140:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) …
Setting up python-samba (2:4.5.16+dfsg-1+deb9u3) …
Setting up libsmbclient:armhf (2:4.5.16+dfsg-1+deb9u3) …
Setting up libbind9-140:armhf (1:9.10.3.dfsg.P4-12.3+deb9u7) …
Setting up samba-common-bin (2:4.5.16+dfsg-1+deb9u3) …
Setting up samba-dsdb-modules (2:4.5.16+dfsg-1+deb9u3) …
Setting up bind9-host (1:9.10.3.dfsg.P4-12.3+deb9u7) …
Setting up curl (7.52.1-5+deb9u12) …
Setting up samba (2:4.5.16+dfsg-1+deb9u3) …
Failed to preset unit: Unit file /etc/systemd/system/samba-ad-dc.service is masked.
/usr/bin/deb-systemd-helper: error: systemctl preset failed on samba-ad-dc.service: No such file or directory
insserv: warning: current start runlevel(s) (empty) of script smbd' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script smbd’ overrides LSB defaults (0 1 6).
insserv: warning: current start runlevel(s) (empty) of script nmbd' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script nmbd’ overrides LSB defaults (0 1 6).
insserv: warning: current start runlevel(s) (empty) of script samba-ad-dc' overrides LSB defaults (2 3 4 5). insserv: warning: current stop runlevel(s) (0 1 2 3 4 5 6) of script samba-ad-dc’ overrides LSB defaults (0 1 6).
Processing triggers for libc-bin (2.24-11+deb9u4) …

And back to prompt .The masked service seems “normal” to me as I’m not using samba in this mode. Once my working image was back on the SD card I checked and this is what I get:

systemctl status samba-ad-dc.service
● samba-ad-dc.service
   Loaded: masked (/dev/null; bad)
   Active: inactive (dead)

Then I reboot, OSMC start the interface TUI and ends with an error (similar to GUI)

Trying with the GUI It ends with

After this timing the screen is black with a non blinking cursor on top left. A reboot failed to load OSMC. It takes a longer time compared to the SSH update test but I cannot confirm it blocks on the same step or not. What will be the best scenario to give useful information?

Thx

Can you please post full logs?

Thanks

Sam

I just put back my working image, do I need to “crash” it again prior starting the log?

The command “grab-logs” is unknown but I guess I need to enable the debug mode first How to submit a useful support request - General - OSMC then launch the update

If grab-logs is missing on your system then I think you either have filesystem corruption or have removed some crucial OSMC packages.

I’m currently running the update to have the log. Well I didn’t remove any package, I think even never.
The command was not found on my image prior any issue. I understand your point of course but I I only added very few plugins, added Deluge, and configured samba shares more than a year ago.

Where is the command supposed to be located? May I provide you anything else even by hand to help?

Your system first needed to bring Debian Stretch fully up to date before moving to Debian Buster. As far as I can see, it has done that without any major problems. One of the packages in this process – base-files-osmc – should have updated /etc/apt/sources.list to point to the Debian Buster repository. Can you check if this is the case? If ok, please reboot, then via SSH run:

sudo apt-get update
sudo apt-get dist-upgrade

That should bring your system up to date. We can take it from there.

Current status:
I restored a backup of 2020-07, just prior the June update. The command Grab-logs is well present. I tried to update with SSH it and failed on the same step…The command Grab-logs is not present after the TUI error follow by an auto-reboot after 30sec, landing on a black screen with fixed cursor on top left corner.
Proceeding with a forced reboot and trying to update:

sudo apt-get update
Hit:1 http://ftp.debian.org/debian buster InRelease
Hit:2 http://ftp.debian.org/debian buster-updates InRelease
Hit:4 http://ppa.launchpad.net/deluge-team/ppa/ubuntu zesty InRelease
Hit:5 http://security.debian.org buster/updates InRelease
Hit:3 http://ftp.fau.de/osmc/osmc/apt buster InRelease
Reading package lists… Done

sudo apt-get dist-update
E: Invalid operation dist-update
sudo apt-get dist-upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
You might want to run ‘apt --fix-broken install’ to correct these.
The following packages have unmet dependencies:
lsb-release : Depends: python3:any (>= 3.4~)
python3-chardet : Depends: python3:any (>= 3.3.2-2~)
python3-pkg-resources : Depends: python3:any (>= 3.3.2-2~)
rbp2-device-osmc : Depends: rbp2-mediacenter-osmc but it is not installed
E: Unmet dependencies. Try ‘apt --fix-broken install’ with no packages (or specify a solution).

Trying to fix:

sudo apt-get install rbp2-mediacenter-osmc
Reading package lists… Done
Building dependency tree
Reading state information… Done
You might want to run ‘apt --fix-broken install’ to correct these.
The following packages have unmet dependencies:
lsb-release : Depends: python3:any (>= 3.4~)
python3-chardet : Depends: python3:any (>= 3.3.2-2~)
python3-pkg-resources : Depends: python3:any (>= 3.3.2-2~)
rbp2-mediacenter-osmc : Depends: libmariadb3 but it is not going to be installed
Depends: libcdio18 but it is not going to be installed
Depends: libcurl4 but it is not going to be installed
Depends: mediacenter-addon-osmc (>= 3.0.39) but it is not going to be installed
Depends: libiso9660-11 but it is not going to be installed
Depends: libnfs12 but it is not going to be installed
Depends: libass9 but it is not going to be installed
E: Unmet dependencies. Try ‘apt --fix-broken install’ with no packages (or specify a solution).

sudo apt --fix-broken install
Reading package lists… Done
Building dependency tree
Reading state information… Done
Correcting dependencies… failed.
The following packages have unmet dependencies:
lsb-release : Depends: python3:any (>= 3.4~)
python3-chardet : Depends: python3:any (>= 3.3.2-2~)
python3-pkg-resources : Depends: python3:any (>= 3.3.2-2~)
rbp2-device-osmc : Depends: rbp2-mediacenter-osmc but it is not installed

Should be sudo apt-get dist-upgrade

Yes I did it, see the line just after

I just update my previous post with other commands, check the ends. So far the 2020-07 backup version ends the same, I’m trying with a 2020-05. Last chance I have if this is not a problem with the upgrade process itself

I should have read further. :slight_smile:

I think that something might have become corrupted during the update.

  1. python3.5 should be installed as part of the Stretch update:
    Setting up python3.5 (3.5.3-1+deb9u3) …
  2. But you’re getting this error:
    The following packages have unmet dependencies:
    lsb-release : Depends: python3:any (>= 3.4~)

You could try to (re)install python3.5 and see if that helps:
sudo apt-get install --reinstall python3.5

Update:
Well done for today, I spend my Sunday on it :(. I put back my today’s morning backup with a new SD card to get rid of any doubt.

Things that may be important and was a bit out of my sight (never hurt so far) on the current restored system:

  • grab-logs is well working. It wasn’t after a first update attempt, I was even not able to find it on the disk
  • I have entry in the apt source related to Deluge, worked for years but maybe hurting (?)

cat /etc/apt/sources.list
deb http://ftp.debian.org/debian stretch main contrib non-free

deb Index of /debian stretch-updates main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free

deb http://apt.osmc.tv stretch main

#DELUGE PPA
deb http://ppa.launchpad.net/deluge-team/ppa/ubuntu zesty main
deb-src http://ppa.launchpad.net/deluge-team/ppa/ubuntu zesty main
#deb http://deb.debian.org/debian jessie-backports main contrib non-free

  • I’ve Deluge packet on hold to avoid updating them at this time, I’m working on another system for the 2.0 package

sudo apt-mark showhold
libssl1.0.0
libtorrent-rasterbar8
python-libtorrent

Does one of these points points something? I can remove the hold/PPA entry and make a try another day. This will brake my mast Deluge install but…I need to find some courage :slight_smile:

I keep your option for the next try

Testing this afternoon on a cloned setup, it seems promising.

  • remove on-hold packet
  • reinstall python3.5 as suggested by @dillthedog (Thx!)

I’m one step ahead. The packet configuration frozen on smartmontools, but passed the previous blocked points. Next step tomorrow, I’ll give a feedback.

I did a check on my own Pi3, which has a fresh (19 October) installation, for all python3* packages installed:

osmc@osmc:~$ dpkg -l "python3*" | grep ^ii
ii  python3                     3.7.3-1         armhf        interactive high-level object-oriented language (default python3 version)
ii  python3-apt                 1.8.4.1         armhf        Python 3 interface to libapt-pkg
ii  python3-certifi             2018.8.24-1     all          root certificates for validating SSL certs and verifying TLS hosts (python3)
ii  python3-chardet             3.0.4-3         all          universal character encoding detector for Python3
ii  python3-idna                2.6-1           all          Python IDNA2008 (RFC 5891) handling (Python 3)
ii  python3-minimal             3.7.3-1         armhf        minimal subset of the Python language (default python3 version)
ii  python3-pexpect             4.6.0-1         all          Python 3 module for automating interactive applications
ii  python3-pkg-resources       40.8.0-1        all          Package Discovery and Resource Access using pkg_resources
ii  python3-ptyprocess          0.6.0-1         all          Run a subprocess in a pseudo terminal from Python 3
ii  python3-requests            2.21.0-1        all          elegant and simple HTTP library for Python3, built for human beings
ii  python3-six                 1.12.0-1        all          Python 2 and 3 compatibility library (Python 3 interface)
ii  python3-urllib3             1.24.1-1        all          HTTP library with thread-safe connection pooling for Python3
ii  python3.7                   3.7.3-2+deb10u2 armhf        Interactive high-level object-oriented language (version 3.7)
ii  python3.7-minimal           3.7.3-2+deb10u2 armhf        Minimal subset of the Python language (version 3.7)

For some reason, the final Stretch update didn’t include updates to any python3-* packages. Could you run the following command to see what is on your system?

dpkg -l "python3*" | grep ^ii

@dillthedog sorry I missed to check the output prior running another update attempt :confused:

I finally succeeded. After the Python reinstall the package configuration was stuck on “configuring smartmontools”…I use it yes but not in a fancy way/config. I used the same workaround and resinstall this package, and all was fine.

Command used;

#I had frozen packages, list them and unhold
sudo apt-mark showhold
sudo apt-mark unhold $(apt-mark showhold)

#package reintalled
sudo apt-get install --reinstall python3.5
sudo apt-get install --reinstall smartmontools

Then the update and reboot and voilà :slight_smile:

Thanks @dillthedog for your help

1 Like